regina::NAngleStructureList::StructureInserter Struct Reference

An output iterator used to insert angle structures into an NAngleStructureList. More...

`#include <angle/nanglestructurelist.h>`

Inheritance diagram for regina::NAngleStructureList::StructureInserter:

## Public Member Functions

| StructureInserter ()
| Creates a new uninitialised output iterator. More...
| StructureInserter (NAngleStructureList &newList, NTriangulation *newOwner)
| Creates a new output iterator. More...
| StructureInserter (const StructureInserter &cloneMe)
| Creates a new output iterator that is a clone of the given iterator. More...
StructureInserter & | operator= (const StructureInserter &cloneMe)
| Sets this iterator to be a clone of the given output iterator. More...
StructureInserter & | operator= (NAngleStructure *structure)
| Appends an angle structure to the end of the appropriate structure list. More...
StructureInserter & | operator= (NAngleStructureVector *vector)
| Appends the angle structure corresponding to the given vector to the end of the appropriate structure list. More...
StructureInserter & | operator* ()
| Returns a reference to this output iterator. More...
StructureInserter & | operator++ ()
| Returns a reference to this output iterator. More...
StructureInserter & | operator++ (int)
| Returns a reference to this output iterator. More...

## Public Attributes

NAngleStructureList * | list
| The list into which angle structures will be inserted. More...
NTriangulation * | owner
| The triangulation on which the angle structures to be inserted lie. More...

## Detailed Description

An output iterator used to insert angle structures into an NAngleStructureList.

Objects of type `NAngleStructure*` and `NAngleStructureVector*` can be assigned to this iterator. In the latter case, a surrounding NAngleStructure will be automatically created.

## Constructor & Destructor Documentation

regina::NAngleStructureList::StructureInserter::StructureInserter | ( |  | ) |

inline

Creates a new uninitialised output iterator.

Warning
  This iterator must not be used until its structure list and triangulation have been initialised.

regina::NAngleStructureList::StructureInserter::StructureInserter | ( | NAngleStructureList & | newList,
|  | NTriangulation * | newOwner
| ) |  |

inline

Creates a new output iterator.

The member variables of this iterator will be initialised according to the parameters passed to this constructor.

Parameters

  newList | the list into which angle structures will be inserted.
  newOwner | the triangulation on which the structures to be inserted lie.

regina::NAngleStructureList::StructureInserter::StructureInserter | ( | const StructureInserter & | cloneMe | ) |

inline

Creates a new output iterator that is a clone of the given iterator.

Parameters

  cloneMe | the output iterator to clone.

## Member Function Documentation

NAngleStructureList::StructureInserter & regina::NAngleStructureList::StructureInserter::operator* | ( |  | ) |

inline

Returns a reference to this output iterator.

Returns
  this output iterator.

NAngleStructureList::StructureInserter & regina::NAngleStructureList::StructureInserter::operator++ | ( |  | ) |

inline

Returns a reference to this output iterator.

Returns
  this output iterator.

NAngleStructureList::StructureInserter & regina::NAngleStructureList::StructureInserter::operator++ | ( | int |  | ) |

inline

Returns a reference to this output iterator.

Returns
  this output iterator.

NAngleStructureList::StructureInserter & regina::NAngleStructureList::StructureInserter::operator= | ( | const StructureInserter & | cloneMe | ) |

inline

Sets this iterator to be a clone of the given output iterator.

Parameters

  cloneMe | the output iterator to clone.

Returns
  this output iterator.

NAngleStructureList::StructureInserter & regina::NAngleStructureList::StructureInserter::operator= | ( | NAngleStructure * | structure | ) |

inline

Appends an angle structure to the end of the appropriate structure list.

The given angle structure will be deallocated with the other angle structures in this list when the list is eventually destroyed.

Parameters

  structure | the angle structure to insert.

Returns
  this output iterator.

NAngleStructureList::StructureInserter & regina::NAngleStructureList::StructureInserter::operator= | ( | NAngleStructureVector * | vector | ) |

inline

Appends the angle structure corresponding to the given vector to the end of the appropriate structure list.

The given vector will be owned by the newly created angle structure and will be deallocated with the other angle structures in this list when the list is eventually destroyed.

Parameters

  vector | the vector of the angle structure to insert.

Returns
  this output iterator.

## Member Data Documentation

NAngleStructureList* regina::NAngleStructureList::StructureInserter::list

The list into which angle structures will be inserted.

NTriangulation* regina::NAngleStructureList::StructureInserter::owner

The triangulation on which the angle structures to be inserted lie.

The documentation for this struct was generated from the following file:

- angle/nanglestructurelist.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).